Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.PortfolioFileNode Class Reference
Inheritance diagram for com.foxit.sdk.pdf.PortfolioFileNode:

## Public Member Functions
| PortfolioFileNode (PortfolioNode other)
| Constructor, with parent class object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
FileSpec | getFileSpec () throws com.foxit.sdk.PDFException
| Get the related file specification object which is used to access an embedded file information and data. More...
String | getKeyName () throws com.foxit.sdk.PDFException
| Get the key name of the related file specification object. More...
Public Member Functions inherited from com.foxit.sdk.pdf.PortfolioNode
| PortfolioNode (PortfolioNode other)
| Constructor, with another portfolio node object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getNodeType () throws com.foxit.sdk.PDFException
| Get node type. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Additional Inherited Members
Static Public Attributes inherited from com.foxit.sdk.pdf.PortfolioNode
static final int | e_TypeFile = 2
| Portfolio node type: file.
static final int | e_TypeFolder = 1
| Portfolio node type: folder.
static final int | e_TypeUnknown = 0
| Unknown portfolio node type.

## Detailed Description

Portfolio file node is always associated with a file specification which represents an embedded file in portfolio PDF document.
Class PortfolioFileNode is derived from class PortfolioNode . It offers function to access related file specification object and the key name for this file specification object.

## Constructor & Destructor Documentation

## ◆ PortfolioFileNode()

com.foxit.sdk.pdf.PortfolioFileNode.PortfolioFileNode | ( | PortfolioNode | other | ) |

Constructor, with parent class object.

Parameters

  [in] | other | Parent class object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.PortfolioFileNode.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getFileSpec()

FileSpec com.foxit.sdk.pdf.PortfolioFileNode.getFileSpec | ( |  | ) | throws com.foxit.sdk.PDFException

Get the related file specification object which is used to access an embedded file information and data.

Returns
  A file specification object.

## ◆ getKeyName()

String com.foxit.sdk.pdf.PortfolioFileNode.getKeyName | ( |  | ) | throws com.foxit.sdk.PDFException

Get the key name of the related file specification object.

Key name is used for storing a file specification. Key name can be used in class Attachments . Also, key name can be used to specify the initial document in class Portfolio .

Returns
  A file specification object.